aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests/sanity/boot
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/qemuimage-tests/sanity/boot')
-rwxr-xr-xscripts/qemuimage-tests/sanity/boot31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/sanity/boot b/scripts/qemuimage-tests/sanity/boot
new file mode 100755
index 0000000000..b4c0094f25
--- /dev/null
+++ b/scripts/qemuimage-tests/sanity/boot
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Boot Test Case for Sanity Test
+# The case boot up the Qemu target with `runqemu qemux86`.
+# Then check if qemu and qemu network is up.
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+. $OEROOT/scripts/qemuimage-testlib
+
+TIMEOUT=120
+QEMU_IPADDR="192.168.7.2"
+
+# Start qemu and check its network
+Test_Create_Qemu ${QEMU_IPADDR} ${TIMEOUT}
+
+if [ $? -eq 0 ]; then
+ Test_Info "Boot Test PASS"
+ Test_Kill_Qemu
+ Test_Print_Result "Boot" 0
+ exit 0
+else
+ Test_Info "Boot Test FAIL"
+ Test_Kill_Qemu
+ Test_Print_Result "Boot" 1
+ exit 1
+fi